Bug 202564 - [WebAuthn] Rename -[WKUIDelegatePrivate webView:runWebAuthenticationPanel:initiatedByFrame:completionHandler:] to -[WKUIDelegatePrivate _webView:runWebAuthenticationPanel:initiatedByFrame:completionHandler:]
Summary: [WebAuthn] Rename -[WKUIDelegatePrivate webView:runWebAuthenticationPanel:ini...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jiewen Tan
URL:
Keywords: InRadar
Depends on:
Blocks: 181943
  Show dependency treegraph
 
Reported: 2019-10-03 22:46 PDT by Jiewen Tan
Modified: 2019-10-15 13:45 PDT (History)
5 users (show)

See Also:


Attachments
Patch (6.47 KB, patch)
2019-10-11 01:15 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiewen Tan 2019-10-03 22:46:21 PDT
Rename -[WKUIDelegatePrivate webView:runWebAuthenticationPanel:initiatedByFrame:completionHandler:] to -[WKUIDelegatePrivate _webView:runWebAuthenticationPanel:initiatedByFrame:completionHandler:].
Comment 1 Radar WebKit Bug Importer 2019-10-03 22:46:55 PDT
<rdar://problem/55974027>
Comment 2 Jiewen Tan 2019-10-11 01:15:24 PDT
Created attachment 380732 [details]
Patch
Comment 3 Jiewen Tan 2019-10-11 12:09:48 PDT
Not sure how the API test failure is related to this patch.
Comment 4 Jiewen Tan 2019-10-11 13:11:09 PDT
(In reply to Jiewen Tan from comment #3)
> Not sure how the API test failure is related to this patch.

The test is super flaky in my local test.
Comment 5 Brent Fulgham 2019-10-15 09:14:50 PDT
Comment on attachment 380732 [details]
Patch

r=me
Comment 6 Jiewen Tan 2019-10-15 10:37:55 PDT
(In reply to Brent Fulgham from comment #5)
> Comment on attachment 380732 [details]
> Patch
> 
> r=me

Thanks Brent for r+ this patch. Will coordinate with the internal patch to land this properly.
Comment 7 WebKit Commit Bot 2019-10-15 13:45:30 PDT
Comment on attachment 380732 [details]
Patch

Clearing flags on attachment: 380732

Committed r251154: <https://trac.webkit.org/changeset/251154>
Comment 8 WebKit Commit Bot 2019-10-15 13:45:32 PDT
All reviewed patches have been landed.  Closing bug.